Index: pacemaker/pengine/test10/whitebox-nested-group.exp
===================================================================
--- pacemaker.orig/pengine/test10/whitebox-nested-group.exp
+++ pacemaker/pengine/test10/whitebox-nested-group.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="27" operation="monitor" operation_key="fake1_monitor_10000" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="26" operation="start" operation_key="fake1_start_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -35,7 +35,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="fake1_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -44,7 +44,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="fake1_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="fake1_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -62,7 +62,7 @@
     <action_set>
       <rsc_op id="29" operation="monitor" operation_key="fake2_monitor_10000" on_node="c7auto4" on_node_uuid="c7auto4" router_node="c7auto1">
         <primitive id="fake2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto4" CRM_meta_on_node_uuid="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -78,7 +78,7 @@
     <action_set>
       <rsc_op id="28" operation="start" operation_key="fake2_start_0" on_node="c7auto4" on_node_uuid="c7auto4" router_node="c7auto1">
         <primitive id="fake2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto4" CRM_meta_on_node_uuid="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -100,7 +100,7 @@
     <action_set>
       <rsc_op id="18" operation="monitor" operation_key="fake2_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -109,7 +109,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="fake2_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -118,7 +118,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="fake2_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -127,7 +127,7 @@
     <action_set>
       <rsc_op id="31" operation="monitor" operation_key="fake3_monitor_10000" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -140,7 +140,7 @@
     <action_set>
       <rsc_op id="30" operation="start" operation_key="fake3_start_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -159,7 +159,7 @@
     <action_set>
       <rsc_op id="19" operation="monitor" operation_key="fake3_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -168,7 +168,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="fake3_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -177,7 +177,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="fake3_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -186,7 +186,7 @@
     <action_set>
       <rsc_op id="33" operation="monitor" operation_key="fake4_monitor_10000" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -199,7 +199,7 @@
     <action_set>
       <rsc_op id="32" operation="start" operation_key="fake4_start_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -218,7 +218,7 @@
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="fake4_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -227,7 +227,7 @@
     <action_set>
       <rsc_op id="13" operation="monitor" operation_key="fake4_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -236,7 +236,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="fake4_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake4" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -245,7 +245,7 @@
     <action_set>
       <rsc_op id="35" operation="monitor" operation_key="fake5_monitor_10000" on_node="c7auto4" on_node_uuid="c7auto4" router_node="c7auto1">
         <primitive id="fake5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto4" CRM_meta_on_node_uuid="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -261,7 +261,7 @@
     <action_set>
       <rsc_op id="34" operation="start" operation_key="fake5_start_0" on_node="c7auto4" on_node_uuid="c7auto4" router_node="c7auto1">
         <primitive id="fake5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto4" CRM_meta_on_node_uuid="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -283,7 +283,7 @@
     <action_set>
       <rsc_op id="21" operation="monitor" operation_key="fake5_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -292,7 +292,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="fake5_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -301,7 +301,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="fake5_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake5" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -310,7 +310,7 @@
     <action_set>
       <rsc_op id="37" operation="monitor" operation_key="fake:0_monitor_10000" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake" long-id="fake:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -323,7 +323,7 @@
     <action_set>
       <rsc_op id="36" operation="start" operation_key="fake:0_start_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake" long-id="fake:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -336,7 +336,7 @@
     <action_set>
       <rsc_op id="15" operation="monitor" operation_key="fake:0_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake" long-id="fake:0" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -345,7 +345,7 @@
     <action_set>
       <rsc_op id="39" operation="monitor" operation_key="fake:1_monitor_10000" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake" long-id="fake:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -358,7 +358,7 @@
     <action_set>
       <rsc_op id="38" operation="start" operation_key="fake:1_start_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake" long-id="fake:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -371,7 +371,7 @@
     <action_set>
       <rsc_op id="22" operation="monitor" operation_key="fake:1_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake" long-id="fake:1" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -380,7 +380,7 @@
     <action_set>
       <rsc_op id="41" operation="monitor" operation_key="fake:2_monitor_10000" on_node="c7auto4" on_node_uuid="c7auto4" router_node="c7auto1">
         <primitive id="fake" long-id="fake:2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="c7auto4" CRM_meta_on_node_uuid="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -396,7 +396,7 @@
     <action_set>
       <rsc_op id="40" operation="start" operation_key="fake:2_start_0" on_node="c7auto4" on_node_uuid="c7auto4" router_node="c7auto1">
         <primitive id="fake" long-id="fake:2" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="c7auto4" CRM_meta_on_node_uuid="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -412,7 +412,7 @@
     <action_set>
       <rsc_op id="43" operation="monitor" operation_key="fake:3_monitor_10000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake" long-id="fake:3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -425,7 +425,7 @@
     <action_set>
       <rsc_op id="42" operation="start" operation_key="fake:3_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake" long-id="fake:3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="start" CRM_meta_notify="false" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -438,7 +438,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="fake:3_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake" long-id="fake:3" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="3" CRM_meta_clone_max="4" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -515,7 +515,7 @@
     <action_set>
       <rsc_op id="49" operation="monitor" operation_key="fake_fs_monitor_10000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -528,7 +528,7 @@
     <action_set>
       <rsc_op id="48" operation="start" operation_key="fake_fs_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -550,7 +550,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto3" on_node_uuid="3">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -559,7 +559,7 @@
     <action_set>
       <rsc_op id="16" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto2" on_node_uuid="2">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -568,7 +568,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="fake_fs_monitor_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="fake_fs" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -577,7 +577,7 @@
     <action_set>
       <rsc_op id="51" operation="monitor" operation_key="container_monitor_10000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="container" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_remote_node="c7auto4" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -590,7 +590,7 @@
     <action_set>
       <rsc_op id="50" operation="start" operation_key="container_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="container" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_remote_node="c7auto4" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_remote_node="c7auto4" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -606,7 +606,7 @@
     <action_set>
       <rsc_op id="57" operation="monitor" operation_key="c7auto4_monitor_30000" on_node="c7auto1" on_node_uuid="1">
         <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="container" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_container="container" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -619,7 +619,7 @@
     <action_set>
       <rsc_op id="56" operation="start" operation_key="c7auto4_start_0" on_node="c7auto1" on_node_uuid="1">
         <primitive id="c7auto4" class="ocf" provider="pacemaker" type="remote"/>
-        <attributes CRM_meta_container="container" CRM_meta_name="start" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_container="container" CRM_meta_name="start" CRM_meta_on_node="c7auto1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
